package com.zcxk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.TenantDto;

import java.util.List;

/**
 * @description 租户管理接口
 * @auto wangli
 * @data 2020-10-26 15:44
 */
public interface TenantService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TenantDto selectById(Integer id);
    /**
     * 通过租户标识查询单条数据
     *
     * @param tenantCode 租户标识
     * @return 实例对象
     */
    TenantDto selectByCode(String code);
    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<TenantDto> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param tenantDto 实例对象
     * @return 对象列表
     */
    List<TenantDto> selectList(TenantDto tenantDto);

    /**
     * 新增数据
     *
     * @param tenantDto 实例对象
     * @return 影响行数
     */
    Integer insert(TenantDto tenantDto);

    /**
     * 修改数据
     *
     * @param tenantDto 实例对象
     * @return 修改
     */
    int update(TenantDto tenantDto);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    /**
     * 校验租户名称唯一
     * @param tenantDto
     * @return
     */
    boolean checkTenantNameUnique(TenantDto tenantDto);

    IPage<TenantDto> selectPage( IPage<TenantDto> page, TenantDto tenantDto);
}